Simple experimental Eurovision-Music-Information-Grabber.

# To install:
1. `pip install -r requirements.txt`
2. Need to set `SPOTIPY_CLIENT_ID` and `SPOTIPY_CLIENT_SECRET` environment variables! See https://developer.spotify.com/documentation/general/guides/authorization-guide/#to-obtain-authorization to obtain some.

# To run: 
`python3 ./eurosparqlify.py`

# What it does:
1. Select songs from the Eurovision LOD DL based on `<http://greenstone.org/gsextracted#song_robust_uri>` URIs.
2. Select artist name and song title (English literals) from corresponding dbpedia entries.
3. Search Spotify using these names and titles as query parameters. Retrieve corresponding ISRC codes, 30 sec preview clips, audio features, audio analyses. See e.g. https://developer.spotify.com/documentation/web-api/reference/#endpoint-get-audio-analysis
4. (WIP) Retrieve further metadata from Musicbrainz / Acousticbrainz, based on ISRC codes.


